
Redmine - Defect #5551

Unable to edit issue - Description field is blank and not written to database on submit

2010-05-18 20:01 - Daniel Scott

Status: Closed Start date: 2010-05-18

Priority: Normal Due date: 2013-03-24

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.9.4

Description

I am unable to edit the notes of an issue.

I can right click on an issue and select 'Edit'. I am taken to a page which contains fields to edit the notes of the issue. The field is

blank where it used to contain the initial description of the issue. Submitting new data does not appear to do anything at all.

I'm using the 0.9 stable release:http://redmine.rubyforge.org/svn/branches/0.9-stable

SVN Revision:3739

[root@gauss redmine]# RAILS_ENV=production ruby script/about 

/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#v

ersion_requirements is deprecated and will be removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.6 (x86_64-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Environment               production

Database adapter          mysql

Database schema version   20100221100219

About your Redmine plugins

Google Analytics plugin   0.2.0

 MySQL 5.1.46-1

History

#1 - 2010-05-18 21:46 - Felix Schäfer

IIRC the mysql gem doesn't support MySQL 5.1 yet.

#2 - 2010-07-10 22:49 - Felix Schäfer

Can you confirm this is still an issue, or even possibly update first?

#3 - 2010-07-12 01:27 - Daniel Scott

I'm currently running revision 3840

Revision: 3840

Node Kind: directory

Schedule: normal

Last Changed Author: edavis10

Last Changed Rev: 3838

Last Changed Date: 2010-07-07 23:54:53 -0400 (Wed, 07 Jul 2010)

The problem still exists.

#4 - 2010-07-12 09:05 - Felix Schäfer
You don't happen to be looking for the by-default-hidden issue description? See here for details: RedmineIssues.

#5 - 2010-07-12 15:28 - Daniel Scott

From your link, I see:

Editing an existing issue's Subject or Description

which does allow me to edit and save the issue's description.

I'm talking about the other way of editing issues:

Right click on an issue and choose "Edit". The notes field is blank and doesn't accept any entered text.

#6 - 2010-07-12 15:31 - Felix Schäfer

You get exactly the same form either way. Have a look at the top of the edit form if you have the "More" link next to "Change properties", that's the

only way to get to the text field for the description.

#7 - 2013-03-17 18:38 - Daniel Felix

- Due date set to 2013-03-24

- Status changed from New to Needs feedback

Please give feedback if this is still reproduceable or not until next Sunday. Otherwise this issue will be closed.

Thanks!

#8 - 2013-04-10 12:18 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this as there is no feedback on this issue. We thing this is resolved in current releases.
